# Maintainer: ptr1337 <ptr1337@cachyos.org>

pkgname=cachyos-theming
pkgver=1
pkgrel=1
arch=('any')
pkgdesc='CachyOS - Theming'
url="https://gitlab.com/cachyos/themes-and-settings/$pkgname"
license=('GPL')
makedepends=('coreutils'
             'git')
depends=('char-white-icons'
        'cachyos-fish-config'
        'nerd-fonts-fantasque-sans-mono'
        'plasma5-applets-window-buttons'
        'plasma5-applets-window-appmenu'
        'plasma5-applets-window-title'
        'cachyos-emerald-kde-theme-git'
        'arch-kde-theme-git'
        'ttf-fira-sans')
install=$pkgname.install
conflicts=('kwin-scripts-window-colors')
source=("git+$url.git")
sha256sums=('SKIP')

pkgver() {
	cd "$srcdir/$pkgname"
	printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
package() {

    install -d $pkgdir/etc
    cp -rf $srcdir/$pkgname-$pkgver/etc $pkgdir
    install -d $pkgdir/usr
    cp -rf $srcdir/$pkgname-$pkgver/usr $pkgdir
}
